# Uses of Interface
org.osgi.framework.hooks.weaving.WovenClassListener

Packages that use WovenClassListener
Package
Description
org.apache.felix.framework
org.apache.felix.framework.util

## Uses of WovenClassListener in org.apache.felix.framework

Method parameters in org.apache.felix.framework with type arguments of type WovenClassListener
Modifier and Type
Method
Description
`protected void`
BundleWiringImpl.BundleClassLoader.`callWovenClassListeners(Felix felix, Set<ServiceReference<WovenClassListener>> wovenClassListeners, WovenClass wovenClass)`

## Uses of WovenClassListener in org.apache.felix.framework.util

Methods in org.apache.felix.framework.util with parameters of type WovenClassListener
Modifier and Type
Method
Description
`void`
SecureAction.`invokeWovenClassListener(WovenClassListener wcl, WovenClass wc)`